@if (componentData) {
  <div class="information-grid-server">
    <sqtm-core-label
      [text]="'sqtm-core.entity.scm-server.kind.label' | translate"
    >
    </sqtm-core-label>
    <span>{{ getScmServerKind(componentData) | translate }}</span>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'scm-server-created'"
      [userName]="componentData.scmServer.createdBy"
      [date]="componentData.scmServer.createdOn"
    >
    </sqtm-core-auditable-field>
    <div class="col-spacer-server"></div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'scm-server-modified'"
      [userName]="componentData.scmServer.lastModifiedBy"
      [date]="componentData.scmServer.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
  </div>
  <div class="server-information-grid grid-2-server">
    <sqtm-core-label [text]="'sqtm-core.entity.generic.url.label' | translate">
    </sqtm-core-label>
    <div class="url-link-server">
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'url'"
        [attr.data-test-field-id]="'scm-server-url'"
        layout="compact"
        class="m-r-5 overflow-hidden"
      >
      </sqtm-core-editable-text-field>
      <a
        href="{{ componentData.scmServer.url }}"
        target="_blank"
        rel="noopener"
        class="m-l-10"
      >
        <i
          nz-icon
          nzType="sqtm-core-administration:external_link"
          class="icon table-icon-size"
        ></i>
      </a>
    </div>
  </div>
  <div class="m-t-10">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [focus]="true"
      [attr.data-test-field-id]="'scm-server-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    >
    </sqtm-core-editable-rich-text>
  </div>
}
